<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/common_bottom_dialog_bg"
    android:paddingHorizontal="16dp"
    android:paddingBottom="24dp">

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_title"
        android:layout_width="match_parent"
        android:layout_height="@dimen/common_top_bar_height"
        android:fontFamily="@font/poppins_semibold"
        android:gravity="start|center_vertical"
        android:includeFontPadding="false"
        android:text="@string/wallet_convert_currency_title"
        android:textColor="@color/color_FF1D2129"
        android:textSize="16sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/btn_close"
        android:layout_width="24dp"
        android:layout_height="24dp"
        app:layout_constraintBottom_toBottomOf="@id/tv_title"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@id/tv_title"
        app:srcCompat="@drawable/common_close_ic" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_from"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:minHeight="36dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_title">

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_from_currency"
            android:layout_width="20dp"
            android:layout_height="20dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:srcCompat="@drawable/common_wallet_coin_32_ic" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_current_currency"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="2dp"
            android:fontFamily="@font/poppins_semibold"
            android:includeFontPadding="false"
            android:textColor="@color/color_FF1D2129"
            android:textSize="24sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toEndOf="@id/iv_from_currency"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="120" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/btn_all_convert"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="2dp"
            android:includeFontPadding="false"
            android:text="@string/wallet_all_convert_button"
            android:textColor="@color/color_FF3FBFBD"
            android:textSize="11sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_to"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="4dp"
        android:background="@drawable/wallet_recharge_item_bg"
        android:paddingHorizontal="12dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/cl_from">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_from_detail"
            android:layout_width="match_parent"
            android:layout_height="68dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_from_currency"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="2dp"
                android:fontFamily="@font/poppins_semibold"
                android:includeFontPadding="false"
                android:textColor="@color/color_FF1D2129"
                android:textSize="14sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:text="@string/wallet_convert_from_coin" />

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/iv_from_currency_amount"
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:layout_marginStart="16dp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toStartOf="@id/et_from_currency_amount"
                app:layout_constraintHorizontal_bias="1"
                app:layout_constraintHorizontal_chainStyle="packed"
                app:layout_constraintStart_toEndOf="@id/tv_from_currency"
                app:layout_constraintTop_toTopOf="parent"
                tools:srcCompat="@drawable/common_wallet_coin_32_ic" />

            <androidx.appcompat.widget.AppCompatEditText
                android:id="@+id/et_from_currency_amount"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="2dp"
                android:background="@null"
                android:ellipsize="end"
                android:enabled="false"
                android:fontFamily="@font/poppins_semibold"
                android:gravity="start|center_vertical"
                android:hint="@string/wallet_convert_please_fill"
                android:includeFontPadding="false"
                android:singleLine="true"
                android:textColor="@color/color_FF1D2129"
                android:textColorHint="@color/color_FFC9CDD4"
                android:textSize="16sp"
                app:layout_constrainedWidth="true"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@id/iv_from_currency_amount"
                app:layout_constraintTop_toTopOf="parent" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <View
            android:layout_width="0dp"
            android:layout_height="1dp"
            android:layout_marginTop="2dp"
            android:background="@color/color_FFE5E6EB"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/cl_from_detail" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_to_detail"
            android:layout_width="match_parent"
            android:layout_height="68dp"
            android:layout_marginTop="4dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/cl_from_detail">

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_to_currency"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="2dp"
                android:fontFamily="@font/poppins_semibold"
                android:includeFontPadding="false"
                android:textColor="@color/color_FF1D2129"
                android:textSize="14sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:text="@string/wallet_convert_to_diamond" />

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/iv_to_currency_amount"
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:layout_marginStart="16dp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toStartOf="@id/tv_to_currency_amount"
                app:layout_constraintHorizontal_bias="1"
                app:layout_constraintHorizontal_chainStyle="packed"
                app:layout_constraintStart_toEndOf="@id/tv_to_currency"
                app:layout_constraintTop_toTopOf="parent"
                tools:srcCompat="@drawable/common_wallet_coin_32_ic" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_to_currency_amount"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="2dp"
                android:ellipsize="end"
                android:fontFamily="@font/poppins_semibold"
                android:gravity="start|center_vertical"
                android:includeFontPadding="false"
                android:singleLine="true"
                android:text="0"
                android:textSize="16sp"
                app:layout_constrainedWidth="true"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@id/iv_to_currency_amount"
                app:layout_constraintTop_toTopOf="parent"
                tools:ignore="HardcodedText" />

        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

    <com.adealink.weparty.commonui.widget.CommonButton
        android:id="@+id/btn_exchange"
        android:layout_width="0dp"
        android:layout_height="@dimen/common_button_height"
        android:layout_marginTop="27dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/cl_to"
        app:text="@string/wallet_confirm_convert"
        app:textSize="16sp" />

</androidx.constraintlayout.widget.ConstraintLayout>